# Ipopt::DenseVectorSpace Class Reference

This vectors space is the vector space for DenseVector. More...

`#include <IpDenseVector.hpp>`

Inheritance diagram for Ipopt::DenseVectorSpace:
[legend]

List of all members.

## Public Member Functions
DenseVector * | MakeNewDenseVector () const
| Method for creating a new vector of this specific type.
virtual Vector * | MakeNew () const
| Instantiation of the generate MakeNew method for the VectorSpace base class.
Constructors/Destructors.
| DenseVectorSpace (Index dim)
| Constructor, requires dimension of all vector for this VectorSpace.
| ~DenseVectorSpace ()
| Destructor.
Methods called by DenseVector for memory management.
This could allow to have sophisticated memory management in the VectorSpace.
Number * | AllocateInternalStorage () const
| Allocate internal storage for the DenseVector.
void | FreeInternalStorage (Number *values) const
| Deallocate internal storage for the DenseVector.
Methods for dealing with meta data on the vector
bool | HasStringMetaData (const std::string tag) const
| Check if string meta exists for tag.
bool | HasIntegerMetaData (const std::string tag) const
| Check if Integer meta exists for tag.
bool | HasNumericMetaData (const std::string tag) const
| Check if Numeric meta exists for tag.
const std::vector< std::string > & | GetStringMetaData (const std::string &tag) const
| Get meta data of type std::string by tag.
const std::vector< Index > & | GetIntegerMetaData (const std::string &tag) const
| Get meta data of type Index by tag.
const std::vector< Number > & | GetNumericMetaData (const std::string &tag) const
| Get meta data of type Number by tag.
void | SetStringMetaData (std::string tag, std::vector< std::string > meta_data)
| Set meta data of type std::string by tag.
void | SetIntegerMetaData (std::string tag, std::vector< Index > meta_data)
| Set meta data of type Index by tag.
void | SetNumericMetaData (std::string tag, std::vector< Number > meta_data)
| Set meta data of type Number by tag.
const StringMetaDataMapType & | GetStringMetaData () const
| Get map of meta data of type Number.
const IntegerMetaDataMapType & | GetIntegerMetaData () const
| Get map of meta data of type Number.
const NumericMetaDataMapType & | GetNumericMetaData () const
| Get map of meta data of type Number.
## Private Attributes
StringMetaDataMapType | string_meta_data_
IntegerMetaDataMapType | integer_meta_data_
NumericMetaDataMapType | numeric_meta_data_

## Detailed Description

This vectors space is the vector space for DenseVector.

Definition at line 285 of file IpDenseVector.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseVectorSpace::DenseVectorSpace | ( | Index | dim | ) | `[inline]`

Constructor, requires dimension of all vector for this VectorSpace.

Definition at line 293 of file IpDenseVector.hpp.

Ipopt::DenseVectorSpace::~DenseVectorSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 299 of file IpDenseVector.hpp.

## Member Function Documentation

DenseVector* Ipopt::DenseVectorSpace::MakeNewDenseVector | ( |  | ) | const`[inline]`

Method for creating a new vector of this specific type.

Definition at line 305 of file IpDenseVector.hpp.

virtual Vector* Ipopt::DenseVectorSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Instantiation of the generate MakeNew method for the VectorSpace base class.

Implements Ipopt::VectorSpace.

Definition at line 313 of file IpDenseVector.hpp.

Number * Ipopt::DenseVectorSpace::AllocateInternalStorage | ( |  | ) | const`[inline]`

Allocate internal storage for the DenseVector.

Definition at line 425 of file IpDenseVector.hpp.

void Ipopt::DenseVectorSpace::FreeInternalStorage | ( | Number * | values | ) | const`[inline]`

Deallocate internal storage for the DenseVector.

Definition at line 436 of file IpDenseVector.hpp.

bool Ipopt::DenseVectorSpace::HasStringMetaData | ( | const std::string | tag | ) | const`[inline]`

Check if string meta exists for tag.

Definition at line 448 of file IpDenseVector.hpp.

bool Ipopt::DenseVectorSpace::HasIntegerMetaData | ( | const std::string | tag | ) | const`[inline]`

Check if Integer meta exists for tag.

Definition at line 461 of file IpDenseVector.hpp.

bool Ipopt::DenseVectorSpace::HasNumericMetaData | ( | const std::string | tag | ) | const`[inline]`

Check if Numeric meta exists for tag.

Definition at line 474 of file IpDenseVector.hpp.

const std::vector< std::string > & Ipopt::DenseVectorSpace::GetStringMetaData | ( | const std::string & | tag | ) | const`[inline]`

Get meta data of type std::string by tag.

Definition at line 487 of file IpDenseVector.hpp.

const std::vector< Index > & Ipopt::DenseVectorSpace::GetIntegerMetaData | ( | const std::string & | tag | ) | const`[inline]`

Get meta data of type Index by tag.

Definition at line 496 of file IpDenseVector.hpp.

const std::vector< Number > & Ipopt::DenseVectorSpace::GetNumericMetaData | ( | const std::string & | tag | ) | const`[inline]`

Get meta data of type Number by tag.

Definition at line 505 of file IpDenseVector.hpp.

void Ipopt::DenseVectorSpace::SetStringMetaData | ( | std::string | tag,
|  | std::vector< std::string > | meta_data |
| ) |  |  | `[inline]`

Set meta data of type std::string by tag.

Definition at line 514 of file IpDenseVector.hpp.

void Ipopt::DenseVectorSpace::SetIntegerMetaData | ( | std::string | tag,
|  | std::vector< Index > | meta_data |
| ) |  |  | `[inline]`

Set meta data of type Index by tag.

Definition at line 520 of file IpDenseVector.hpp.

void Ipopt::DenseVectorSpace::SetNumericMetaData | ( | std::string | tag,
|  | std::vector< Number > | meta_data |
| ) |  |  | `[inline]`

Set meta data of type Number by tag.

Definition at line 526 of file IpDenseVector.hpp.

const StringMetaDataMapType & Ipopt::DenseVectorSpace::GetStringMetaData | ( |  | ) | const`[inline]`

Get map of meta data of type Number.

Definition at line 532 of file IpDenseVector.hpp.

const IntegerMetaDataMapType & Ipopt::DenseVectorSpace::GetIntegerMetaData | ( |  | ) | const`[inline]`

Get map of meta data of type Number.

Definition at line 538 of file IpDenseVector.hpp.

const NumericMetaDataMapType & Ipopt::DenseVectorSpace::GetNumericMetaData | ( |  | ) | const`[inline]`

Get map of meta data of type Number.

Definition at line 544 of file IpDenseVector.hpp.

## Member Data Documentation

StringMetaDataMapType Ipopt::DenseVectorSpace::string_meta_data_`[private]`

Definition at line 386 of file IpDenseVector.hpp.

IntegerMetaDataMapType Ipopt::DenseVectorSpace::integer_meta_data_`[private]`

Definition at line 387 of file IpDenseVector.hpp.

NumericMetaDataMapType Ipopt::DenseVectorSpace::numeric_meta_data_`[private]`

Definition at line 388 of file IpDenseVector.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpDenseVector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines